Upgrade Scripts for non-interactive major release upgrades (2->3, 3->4, 4->5)

  • I would try to fix the repos in /etc/apt/sources.list and /etc/apt/sources.list./* and upgrade manually, but the info you give is a bit space, so I do not know the state the system is in. The post scripts migrate the database, which may not happen, if you update manually, so you may have to to it manually too.

    Fixed the duplicate repos and tried run-parts through the run.d scripts (in hopes of a simple repair) but no upgrades occured. Guess it's off to search on the manual upgrade process. Thanks for the pointers!

  • apt update should pull omv5 if the repo is correct.

    Well, I had some missing dependencies so naturally I had a beer and clicked through.. and installed Chrony which removed OMV4. *sigh*


    If I install OMV5 at this point is it basically a fresh start? No way to transfer the OMV4 settings (not that I had customized much)? I still see my several TB of hosted data, I assume the install won't mess up any existing volumes and I'll just have to re-present them to the network.


    root@filer:/etc/apt/sources.list.d# apt-get upgrade openmediavault -s

    Reading package lists... Done

    Building dependency tree

    Reading state information... Done

    Calculating upgrade... Done

    The following NEW packages will be installed:

    openmediavault

    0 upgraded, 1 newly installed, 0 to remove and 0 not upgraded.

    Inst openmediavault (5.6.26-1 openmediavault.org archive:usul [all])

    Conf openmediavault (5.6.26-1 openmediavault.org archive:usul [all])


    EDIT: dpkg shows 4.x installed, is it possible to do a `dpkg -i openmediavault` to upgrade?


    dpkg -s openmediavault

    Package: openmediavault

    Status: deinstall ok config-files

    Priority: optional

    Section: admin

    Installed-Size: 11983

    Maintainer: Volker Theile <volker.theile@openmediavault.org>

    Architecture: all

    Version: 4.1.36-1

    Config-Version: 4.1.36-1

    Depends: perl:any, libjs-extjs6, php-fpm, libpam-modules, php-json, php-cgi, php-cli, php-mbstring, php-pam, sudo, ethtool, python3-dialog, acl, ifenslave, resolvconf, iproute2, xfsprogs, jfsutils, ntfs-3g, hdparm, sdparm, ifupdown, mdadm, postfix, libsasl2-modules, bsd-mailx, python3-dbus, cpufrequtils, rsyslog, logrotate, smartmontools, openssl, openssh-server, uuid, tzdata, nfs-kernel-server, proftpd-basic, lsb-release, sshpass, wget, util-linux, samba, samba-common-bin, rsync, apt-utils, wsdd (>= 0.3-2), avahi-daemon, libnss-mdns, iptables, monit, acpid, beep, php-bcmath, gdisk, rrdtool, collectd, cron, anacron, cron-apt, quota, php-xml, quotatool, whiptail, lvm2, watchdog, ca-certificates, perl, libjson-perl, liblocale-po-perl, proftpd-mod-vroot, libjavascript-minifier-xs-perl, coreutils, xmlstarlet, mount, parted, bash, diffutils, lsof, socat, rrdcached, locales, nginx, bash-completion, python3, python3-apt, pm-utils, wpasupplicant, systemd, systemd-sysv, btrfs-progs, samba-vfs-modules, pciutils, python3-pyudev, python3-natsort, jq, ntp, python3-netifaces, udev, apt-transport-https, python3-lxml, debconf (>= 0.5) | debconf-2.0

    Conffiles:

    /etc/apt/apt.conf.d/99openmediavault-apt-hooks 6f86688582c8e64a1383c69b02ba74e0

    ...

  • Just to leave a resolution on my issue, successfully performed the upgrade (apt upgrade openmediavault) and selectively ran files in post.d (skipping deborphan) to restore configuration. Services are working as expected under OMV5 just in time for buster EOL. Will do a fresh install on a new RPi4 once OMV6 goes final.

  • Will do a fresh install on a new RPi4 once OMV6 goes final.

    OMV6 is final for some time now see https://openmediavault.readthe…o/en/stable/releases.html

    omv 6.0.31-2 (Shaitan) on RPi CM4/4GB with 64bit Kernel 5.15.32-v8+

    2x 6TB 3.5'' HDDs (CMR) formatted with ext4 via 2port PCIe SATA card with ASM1061R chipset providing hardware supported RAID1


    omv 5.6.21-1 (usul) on RPi4/4GB with 32bit Kernel 5.10.63 and WittyPi 3 V2 RTC HAT

    2x 3TB 3.5'' HDDs (CMR) formatted with ext4 in Icy Box IB-RD3662-C31 / hardware supported RAID1

    For Read/Write performance of SMB shares hosted on this hardware see forum here

  • Hello guys,


    sorry to bother you again with another issue.


    I am in the update process from 4 -> 5 with the scripts mentioned at the beginning of this thread.


    So i followed the procedure and ended all servicese but ssh,


    uninstalled all not used plugins, checked that the grub is still pointing to the right device. I also did the post #9 (omv-extras to github) from


    Then i startet the update:


    First i got the following error 11 and the following errorlog: For me it seems something was still wrong with omv-extras to github.

    omv_release_upgrade_to_buster.2022-06-20-223302.txt


    Can you check somehow, if omv-extras is switched correctly to github?

    Because of the error i uninstalled additionally to the not used plugins my needed plugins, also omv-extras.


    Then i started the script again and got a different errorlog, now without bintray. Unfortunately it stops again with code 11

    omv_release_upgrade_to_buster.2022-06-21-003152.txt


    Another thing is that now all plugins, i uninstalled before, do even not show up anymore in the plugin list. So i don´t know, if this is the reason i got no bintray issues in the log?



    i really would appreciate any help on this matter, as i don´t know how to proceed with the update.


    thank you so much for your help.


    Frank

  • What are my options for upgrading to OMV 5?

    You should be on OMV 6. So, that would a 3 to 4 to 5 to 6 set of upgrades. I never released an omv-extras 4.x package. You would have to uninstall omv-extras and do the upgrades then reinstall omv-extras. Sure would be easier to do a fresh install of OMV 6.x.

    omv 6.0.33-1 Shaitan | 64 bit | 5.15 proxmox kernel | plugins :: omvextrasorg 6.1.1 | kvm 6.1.22 | mergerfs 6.1.1 | zfs 6.0.11
    omv-extras.org plugins source code and issue tracker - github


    Please try ctrl-shift-R and read this before posting a question.
    Please don't PM for support... Too many PMs!

  • You should be on OMV 6. So, that would a 3 to 4 to 5 to 6 set of upgrades. I never released an omv-extras 4.x package. You would have to uninstall omv-extras and do the upgrades then reinstall omv-extras. Sure would be easier to do a fresh install of OMV 6.x.

    Thank you so much for the advice- I will look into a fresh install :)

Participate now!

Don’t have an account yet? Register yourself now and be a part of our community!